[package]
name = "beacon"
version = "1.4.2"
edition = "2021"

[dependencies]
anyhow = "1.0.95"
axum = { version = "0.8.1", features = ["macros"] }
axum-extra = { version = "0.10.0", features = ["query"] }
chrono = "0.4.39"
chrono-humanize = "0.2.3"
dotenvy = "0.15.7"
maud = { version = "0.27.0", features = ["axum"] }
nanoid = "0.4.0"
serde = { version = "1.0.217", features = ["derive"] }
serde_json = "1.0.138"
serde_path_to_error = "0.1.16"
sqlx = { version = "0.8", features = [
    "runtime-tokio",
    "tls-rustls-ring-webpki",
    "postgres",
    "migrate",
] }
tokio = { version = "1.43.0", features = ["full"] }
tower-http = { version = "0.6.2", features = ["fs", "trace"] }
tracing = "0.1.41"
tracing-subscriber = { version = "0.3.19", features = ["env-filter"] }
